#ifndef RESIDUE_NUMERATOR_H
#define RESIDUE_NUMERATOR_H

#ifndef DBC_H
#include "DbC.h"
#endif

#ifndef RESIDUE_H
#include "Residue.h"
#endif

#ifndef RESIDUE_GROUP_H
#include "Residue_group.h"
#endif

namespace MM
{
class Residue_group;

class Residue_numerator : protected DbC
{
public:
    explicit Residue_numerator (Residue_group const& group)
    {
        int count = group.residue_count();
    
        for (int i=0;  i<count;  ++i)
            group.residue(i).set_local_id(i+1);
    }
};

}//MM

#endif //RESIDUE_NUMERATOR_H
